| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::quality::QualityMSE Class Reference

Full reference mean square error algorithm https://en.wikipedia.org/wiki/Mean_squared_error. More...

`#include <opencv2/quality/qualitymse.hpp>`

Collaboration diagram for cv::quality::QualityMSE:

## Public Member Functions
void | clear () CV_OVERRIDE
| Implements Algorithm::clear()
cv::Scalar | compute (InputArrayOfArrays cmpImgs) CV_OVERRIDE
| Computes MSE for reference images supplied in class constructor and provided comparison images.
bool | empty () const CV_OVERRIDE
| Implements Algorithm::empty()
Public Member Functions inherited from cv::quality::QualityBase
virtual | ~QualityBase ()=default
| Destructor.
virtual void | getQualityMap (OutputArray dst) const
| Returns output quality map that was generated during computation, if supported by the algorithm
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static cv::Scalar | compute (InputArray ref, InputArray cmp, OutputArray qualityMap)
| static method for computing quality
static Ptr< QualityMSE > | create (InputArray ref)
| Create an object which calculates quality.
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Protected Member Functions
| QualityMSE (QualityBase::_mat_type ref)
| Constructor.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
QualityBase::_mat_type | _ref
| Reference image, converted to internal mat type.
Protected Attributes inherited from cv::quality::QualityBase
_mat_type | _qualityMap
| Output quality maps if generated by algorithm.

## Additional Inherited Members
Protected Types inherited from cv::quality::QualityBase
using | _mat_type = cv::UMat
| internal mat type default

## Detailed Description

Full reference mean square error algorithm https://en.wikipedia.org/wiki/Mean_squared_error.

## Constructor & Destructor Documentation

## ◆ QualityMSE()

cv::quality::QualityMSE::QualityMSE | ( | QualityBase::_mat_type | ref | ) |
| inline protected

Constructor.

Parameters

  ref | reference image, converted to internal type

## Member Function Documentation

## ◆ clear()

void cv::quality::QualityMSE::clear | ( |  | ) |
| inline virtual

Python:
| cv.quality.QualityMSE.clear( |  | ) -> | None

Implements Algorithm::clear()

Reimplemented from cv::quality::QualityBase.

## ◆ compute() [1/2]

static cv::Scalar cv::quality::QualityMSE::compute | ( | InputArray | ref,
|  | InputArray | cmp,
|  | OutputArray | qualityMap )
| static

Python:
| cv.quality.QualityMSE.compute( | cmpImgs | ) -> | retval
| cv.quality.QualityMSE.compute( | ref, cmp[, qualityMap] | ) -> | retval, qualityMap
| cv.quality.QualityMSE_compute( | ref, cmp[, qualityMap] | ) -> | retval, qualityMap

static method for computing quality

Parameters

  ref | reference image
  cmp | comparison image=
  qualityMap | output quality map, or cv::noArray()

Returns
  cv::Scalar with per-channel quality values. Values range from 0 (best) to max float (worst)

## ◆ compute() [2/2]

cv::Scalar cv::quality::QualityMSE::compute | ( | InputArrayOfArrays | cmpImgs | ) |
| virtual

Python:
| cv.quality.QualityMSE.compute( | cmpImgs | ) -> | retval
| cv.quality.QualityMSE.compute( | ref, cmp[, qualityMap] | ) -> | retval, qualityMap
| cv.quality.QualityMSE_compute( | ref, cmp[, qualityMap] | ) -> | retval, qualityMap

Computes MSE for reference images supplied in class constructor and provided comparison images.

Parameters

  cmpImgs | Comparison image(s)

Returns
  cv::Scalar with per-channel quality values. Values range from 0 (best) to potentially max float (worst)

Implements cv::quality::QualityBase.

## ◆ create()

static Ptr< QualityMSE > cv::quality::QualityMSE::create | ( | InputArray | ref | ) |
| static

Python:
| cv.quality.QualityMSE.create( | ref | ) -> | retval
| cv.quality.QualityMSE_create( | ref | ) -> | retval

Create an object which calculates quality.

Parameters

  ref | input image to use as the reference for comparison

## ◆ empty()

bool cv::quality::QualityMSE::empty | ( |  | ) | const
| inline virtual

Python:
| cv.quality.QualityMSE.empty( |  | ) -> | retval

Implements Algorithm::empty()

Reimplemented from cv::quality::QualityBase.

## Member Data Documentation

## ◆ _ref

QualityBase::_mat_type cv::quality::QualityMSE::_ref
| protected

Reference image, converted to internal mat type.

The documentation for this class was generated from the following file:

- opencv2/quality/qualitymse.hpp